libetonyek::IWAMessageField Class Reference documentation

libetonyek::IWAMessageField Class Reference

`#include <IWAField.h>`

Inheritance diagram for libetonyek::IWAMessageField:

## Public Member Functions
const IWAUInt32Field & | uint32 (std::size_t field) const
const IWAUInt64Field & | uint64 (std::size_t field) const
const IWASInt32Field & | sint32 (std::size_t field) const
const IWASInt64Field & | sint64 (std::size_t field) const
const IWABoolField & | bool_ (std::size_t field) const
const IWAFixed64Field & | fixed64 (std::size_t field) const
const IWADoubleField & | double_ (std::size_t field) const
const IWAStringField & | string (std::size_t field) const
const IWABytesField & | bytes (std::size_t field) const
const IWAMessageField & | message (std::size_t field) const
const IWAFixed32Field & | fixed32 (std::size_t field) const
const IWAFloatField & | float_ (std::size_t field) const
Public Member Functions inherited from libetonyek::detail::IWAFieldImpl< IWAField::TAG_MESSAGE, IWAMessage, IWAReader::Message >
| IWAFieldImpl ()
IWAField::Tag | tag () const override
bool | is () const override
const_reference_type | get () const
bool | empty () const override
std::size_t | size () const override
const_reference_type | operator[] (const std::size_t index) const
const_iterator | begin () const
const_iterator | end () const
const_reverse_iterator | rbegin () const
const_reverse_iterator | rend () const
const std::deque< value_type > | repeated () const
const boost::optional< value_type > | optional () const
void | parse (const RVNGInputStreamPtr_t &input, const unsigned long length, const bool allowEmpty) override
Public Member Functions inherited from libetonyek::IWAField
virtual | ~IWAField ()=0
| operator bool () const
bool | operator! () const

## Additional Inherited Members
Public Types inherited from libetonyek::detail::IWAFieldImpl< IWAField::TAG_MESSAGE, IWAMessage, IWAReader::Message >
typedef IWAMessage | value_type
typedef IWAMessage & | reference_type
typedef const IWAMessage & | const_reference_type
typedef container_type::const_iterator | const_iterator
typedef container_type::const_reverse_iterator | const_reverse_iterator
Public Types inherited from libetonyek::IWAField
enum | Tag { TAG_INT32 , TAG_INT64 , TAG_UINT32 , TAG_UINT64 , TAG_SINT32 , TAG_SINT64 , TAG_BOOL , TAG_ENUM , TAG_FIXED64 , TAG_SFIXED64 , TAG_DOUBLE , TAG_STRING , TAG_BYTES , TAG_MESSAGE , TAG_FIXED32 , TAG_SFIXED32 , TAG_FLOAT }

## Member Function Documentation

## ◆ bool_()

const IWABoolField & libetonyek::IWAMessageField::bool_ | ( | std::size_t | field | ) | const

Referenced by libetonyek::IWAParser::parseDrawableShape().

## ◆ bytes()

const IWABytesField & libetonyek::IWAMessageField::bytes | ( | std::size_t | field | ) | const

## ◆ double_()

const IWADoubleField & libetonyek::IWAMessageField::double_ | ( | std::size_t | field | ) | const

## ◆ fixed32()

const IWAFixed32Field & libetonyek::IWAMessageField::fixed32 | ( | std::size_t | field | ) | const

## ◆ fixed64()

const IWAFixed64Field & libetonyek::IWAMessageField::fixed64 | ( | std::size_t | field | ) | const

## ◆ float_()

const IWAFloatField & libetonyek::IWAMessageField::float_ | ( | std::size_t | field | ) | const

Referenced by libetonyek::IWAParser::parseGraphicStyle(), libetonyek::IWAParser::parseMediaStyle(), libetonyek::IWAParser::parseParagraphStyle(), libetonyek::IWAParser::readGradient(), libetonyek::IWAParser::readPosition(), libetonyek::IWAParser::readSize(), and libetonyek::IWAParser::readStroke().

## ◆ message()

const IWAMessageField & libetonyek::IWAMessageField::message | ( | std::size_t | field | ) | const

Referenced by libetonyek::IWAParser::parseCellStyle(), libetonyek::IWAParser::parseCharacterStyle(), libetonyek::IWAParser::parseDrawableShape(), libetonyek::IWAParser::parseDropCapStyle(), libetonyek::IWAParser::parseGraphicStyle(), libetonyek::IWAParser::parseListStyle(), libetonyek::IWAParser::parseMediaStyle(), libetonyek::IWAParser::parsePageMaster(), libetonyek::IWAParser::parseParagraphStyle(), libetonyek::KEY6Parser::parsePlaceholder(), libetonyek::IWAParser::parseSectionStyle(), libetonyek::KEY6Parser::parseSlideStyle(), libetonyek::IWAParser::parseTableStyle(), and libetonyek::IWAParser::readUUID().

## ◆ sint32()

const IWASInt32Field & libetonyek::IWAMessageField::sint32 | ( | std::size_t | field | ) | const

## ◆ sint64()

const IWASInt64Field & libetonyek::IWAMessageField::sint64 | ( | std::size_t | field | ) | const

## ◆ string()

const IWAStringField & libetonyek::IWAMessageField::string | ( | std::size_t | field | ) | const

Referenced by libetonyek::IWAParser::parseCellStyle(), libetonyek::IWAParser::parseCharacterStyle(), libetonyek::IWAParser::parseDropCapStyle(), libetonyek::IWAParser::parseGraphicStyle(), libetonyek::IWAParser::parseListStyle(), libetonyek::IWAParser::parseMediaStyle(), libetonyek::IWAParser::parseParagraphStyle(), libetonyek::IWAParser::parseSectionStyle(), libetonyek::KEY6Parser::parseSlideStyle(), and libetonyek::IWAParser::parseTableStyle().

## ◆ uint32()

const IWAUInt32Field & libetonyek::IWAMessageField::uint32 | ( | std::size_t | field | ) | const

Referenced by libetonyek::IWAObjectIndex::parse(), libetonyek::IWAParser::parseParagraphStyle(), libetonyek::IWAParser::readFill(), libetonyek::IWAParser::readRef(), and libetonyek::IWAParser::readStroke().

## ◆ uint64()

const IWAUInt64Field & libetonyek::IWAMessageField::uint64 | ( | std::size_t | field | ) | const

The documentation for this class was generated from the following files:

- IWAField.h
- IWAField.cpp